"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.resetLqlContext = exports.getLqlContext = getLqlContext;
exports.useReactNative = void 0;

var _typeof2 = _interopRequireDefault(require("@babel/runtime/helpers/typeof"));

var _react = _interopRequireDefault(require("react"));

var useReactNative = typeof WeakMap === 'function' && !((typeof navigator === "undefined" ? "undefined" : (0, _typeof2["default"])(navigator)) === 'object' && navigator.product === 'ReactNative');
exports.useReactNative = useReactNative;
var cache = new (useReactNative ? WeakMap : Map)();

function getLqlContext() {
  var context = cache.get(_react["default"].createContext);

  if (!context) {
    context = _react["default"].createContext({});
    context.displayName = 'LqlContext';
    cache.set(_react["default"].createContext, context);
  }

  return context;
}